Subject: Re: Notification: incoming/439

From: Dominik Vogt <[email-masked]>
Date: Fri, 8 Oct 1999 01:52:55 +0200

On Wed, Aug 18, 1999 at 09:24:55AM -0500, [email-masked] wrote:
> FVWM Bug Tracking notification
> 
> new message incoming/439
> 
> Message summary for PR#439
> 	From: [email-masked]
> 	Subject: problems with monochrome displays
> 	Date: Wed, 18 Aug 1999 09:24:53 -0500 (CDT)
> 	0 replies 	0 followups
> 
> ====> ORIGINAL MESSAGE FOLLOWS <====
> 
> >From [email-masked]  Wed Aug 18 09:24:54 1999
> Received: from localhost (localhost [127.0.0.1])
> 	by larry.math.uh.edu (8.9.1/8.9.1) with ESMTP id JAA19241
> 	for <[email-masked]>; Wed, 18 Aug 1999 09:24:53 -0500 (CDT)
> Date: Wed, 18 Aug 1999 09:24:53 -0500 (CDT)
> From: [email-masked]
> Message-Id: <[email-masked]>
> To: [email-masked]
> Subject: problems with monochrome displays
> 
> Full_Name: Jesper Holm Olsen
> Version: 2.2.2
> CVS_Date: 
> OS: HPUX 10.20
> X_Server: 
> Submission from: (NULL) (130.225.96.4)
> 
> 
> 
> When using fvwm2 version 2.2.2 under HPUX10.20 on a monochrome X-terminal,
> the titlebars are always black. Previous versions used dithering to
> make it look grey, which was nice. I can't seem to get this feature in
> this version.
> 
> I looked in the mailarchives and found this message:
>      http://www.hpc.uh.edu/fvwm/archive/9701/msg00256.html
> 
> which suggests compiling with --disable-extended-titlestyle, but that
> didn't help.
> 
> Do you have any suggestions for making it work?

I got a monochrome server running myself, but it doesn't have this
problem.  The log you sent me shows that the stipple pixmap is used
for the background as expected, but still it showed up as black.
My guess is that the colours used for the stipple have changed so that
your server maps them both to black.  There has been indeed a change
between 2.2 and 2.0.43.  The older 2.0.43 used the menu colours for
the stipple and 2.2 uses the standard colours which are 'black' and
'grey'.  Probably grey is mapped to black by your server.  I have
changed the code so that the stipples are always created with the
pixel values BlackPixel() and WhitePixel().  This should fix your
problem (please tell me if it does).

Bye

Dominik ^_^

--
Dominik Vogt, [email-masked]
Reply-To: [email-masked]
--
Visit the official FVWM web page at <URL:http://www.fvwm.org/>.
To unsubscribe from the list, send "unsubscribe fvwm-workers" in the
body of a message to [email-masked].
To report problems, send mail to [email-masked]